import { IsInt, IsNotEmpty, IsPositive, IsString } from 'class-validator';
import { Track } from './Track';

export class CreateTrack {
    @IsString()
    @IsNotEmpty()
    name: string;

    @IsInt()
    @IsPositive()
    distance: number;

    public getTrack(): Track {
        let newTrack: Track = new Track();

        newTrack.name = this.name;
        newTrack.distance = this.distance;

        return newTrack;
    }
}